Subject: bug#4557: closed (Re: bug#4557: Commit via vc-dir does not restore window configuration)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Oct 2011 07:02:03 +0000

Your bug report

#4557: 23.1; Commit via vc-dir does not restore window configuration

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4557: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4557
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4557: Commit via vc-dir does not restore window configuration
From: martin rudalics <[email-masked]>
To: [email-masked]
Date: Wed, 12 Oct 2011 09:01:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I tried to address this issue in revision 106043.  Please have a look.

Closed, martin

Subject: 23.1; Commit via vc-dir does not restore window configuration
From: Jean-Marie Gaillourdet <[email-masked]>
To: [email-masked]
Date: Fri, 25 Sep 2009 11:58:56 +0200

Hi,

at first I'd like to thank your for this awesome piece of software called Emacs.
How can I follow the state of this bug report? Below follows my bug report

Regards,
-- Jean-Marie

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

1. Split your frame with C-x 3
2. M-x vc-dir into a repository. I used a git repository, but I am not sure whether this is relevant.
3. Commit something

Symptom: 

The commit message buffer is shown in the windows besides the
vc-dir. This is ok. But after finishing the commit with C-c C-c this
window is closed. IMHO it should stay and show the buffer it has shown
previously. E.g org-mode does this very good in most circumstances.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-09-03 on goedel.informatik.uni-kl.de
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
  shell-dirtrack-mode: t
  global-highlight-changes-mode: t
  highlight-changes-mode: t
  TeX-PDF-mode: t
  global-auto-revert-mode: t
  cua-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  diff-auto-refine-mode: t
  iswitchb-mode: t
  global-hl-line-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
i s SPC b u g SPC r e p o r t ? C-c C-c n y C-x b <return> 
<down-mouse-1> <mouse-1> <double-down-mouse-1> <double-mouse-1> 
q <down-mouse-1> <mouse-movement> <mouse-movement> 
<mouse-1> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <up> <up> <down> <up> <down> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <down> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<down> <up> <tab> <tab> <tab> <tab> <tab> <down-mouse-1> 
<mouse-1> q C-x k <return> C-x C-f <M-backspace> <M-backspace> 
. e <tab> m <tab> <return> y <down> C-a C-SPC <C-down> 
M-; <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <down> <return> <down> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> M-x w l - u s <tab> e r <tab> 
<tab> <M-backspace> <M-backspace> C-g <down> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <left> 
<left> <left> <left> <left> <left> <left> <left> <right> 
<right> <backspace> ' <up> <left> <left> <backspace> 
' <down> <down> <down> <right> <right> <right> <backspace> 
' <down> <down> <left> <left> <left> <left> <left> 
<left> <up> <up> <up> <M-right> <M-right> <M-right> 
<M-right> <right> <right> <backspace> ' <up> <up> C-e 
C-x C-e <down> <down> C-e C-x C-e <down> <down> <down> 
<down> <down> <down> <down> C-x C-e C-x C-s M-x s e 
n d <tab> <M-backspace> <M-backspace> m a i <tab> C-g 
<menu-bar> <help-menu> <send-emacs-bug-report> T E 
s t <return> C-x k <return> q n q n C-x C-h <menu-bar> 
<help-menu> <send-emacs-bug-report>

Recent messages:
wl-user-agent
mail-send-hook
Saving file /Users/jmg/configuration/.emacs...
Wrote /Users/jmg/configuration/.emacs
Quit
Type C-c C-x C-z to exit MIME mode, and type C-c C-x ? to get help.
Saving...done
Saving...done [2 times]

Do you really want to quit Wanderlust? (y or n)  [2 times]